MCP Tools Reference: composer.googleapis.com

Tool: get_dag_source_code

Retrieves the DAG source code from a Cloud Composer environment.

Use this tool when you want to understand DAG implementation details, for example to understand why a DAG run has failed, or to debug DAG's behavior. The tool returns the latest version of the source code.

The following sample demonstrate how to use curl to invoke the get_dag_source_code MCP tool.

Curl Request
                  
curl --location 'https://composer.{region}.rep.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "get_dag_source_code",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

Input Schema

Parameters of the get_dag_source_code tool.

GetDagSourceCodeRequestMCP

JSON representation
{
  "environment": string,
  "dagId": string
}
Fields
environment

string

Required. The name of the environment. Format: projects/{projectId}/locations/{locationId}/environments/{environmentId}

dagId

string

Required. The Airflow DAG ID.

Output Schema

A source code of a DAG.

SourceCode

JSON representation
{
  "code": string
}
Fields
code

string

The source code of the user-defined DAG.

Tool Annotations

Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌